Description

Currently there are four classes implementing F3\FLOW3\MVC\View\ViewInterface in the FLOW3 package: AbstractView,
EmptyView, JsonView and NotFoundView.
Some of them don't implement the interface correctly (assign() should return an instance of $this to allow chaining).
We decided to move the assignment functionality back to the AbstractView.
Obviously the code should still only reference the interfaces.

Besides, the AbstractView needs a cleaned up as it contains a lot of unneeded methods and objects.

Related issues:
related to TYPO3.Fluid - Bug # 9090: Chaining of ->assign() does not work any... Resolved 2010-07-30

Associated revisions
Revision 9c53e424 - 2010-08-06 16:21 - Bastian Waidelich

[+TASK] FLOW3 (MVC): Cleaned up View implementations. They no correctly implement F3\FLOW3\MVC\View\ViewInterface. This resolves #9136

Revision 38ee6af6 - 2010-08-12 12:35 - Bastian Waidelich

[+BUGFIX] FLOW3 (MVC): F3\FLOW3\MVC\View\JsonView no longer throws an exception if more than one variable is assigned. This relates to #9136
[+FEATURE] FLOW3 (MVC): F3\FLOW3\MVC\View\JsonView is now able to render multiple variables. By default only variables with the name "value"
are rendered. You can change that behavior through the setVariablesToRender() setter. This relates to #9136

Change-Id: Ie7589504416eda13a3d57fe5ee411e5ea0cce0e4

History
#1 - 2010-08-04 20:00 - Bastian Waidelich
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r4931.

#2 - 2010-08-18 10:48 - Karsten Dambekalns
- Target version set to 1.0 alpha 11
